Проблема с зависимостями DPKG после удаления MariaDB не позволяет мне использовать apt-get

Я должен сказать, что необходимо попытаться переустановить Ubuntu через терминал. Мой личный опыт, мы должны всегда настраивать наши проекты Python надлежащим способом.

, Например (для упрощения я просто выбираю интерпретатор по умолчанию):

Create a new PyDev Project

4
задан 13.04.2017, 15:23

3 ответа

Похоже, ты почти понял. Удалите пакеты MariaDB:

dpkg -r mariadb-servermariadb-client-core-5.5 mariadb-client-5.5 mariadb-server-core-5.5 libmariadbclient18

Теперь удалите строку deb http://ftp.osuosl.org/pub/mariadb/repo/5.5/ubuntu raring main из вашего /etc/apt/sources.list

Далее убедитесь, что пакет MySql из MariaDB не еще в кеше:

apt-get clean

Наконец, переустановите libmysqlclient18:

apt-get install --reinstall libmysqlclient18

11
ответ дан 10.10.2019, 11:10
  • 1
    Я добираюсь: dpkg: warning: ignoring request to remove mariadb-servermariadb-client-core-5.5 which isn't installed dpkg: warning: ignoring request to remove mariadb-client-5.5, only the config files of which are on the system; use --purge to remove them too dpkg: warning: ignoring request to remove mariadb-server-core-5.5 which isn't installed. Так или иначе я продолжал двигаться: удаленный из sources.list, склонного - становятся чистыми, но склонный - добираются, установка - переустанавливают сбои libmysqlclient18: The following packages have unmet dependencies: libmariadbclient18 : Depends: libmysqlclient18 – docendo discimus 19.09.2013, 06:57

попробуйте с этим

sudo apt-get autoremove
sudo apt-get autoclean
sudo apt-get update

, затем попробуйте сделать то, что вы пытались сделать. Дайте мне знать, что вы получили.

0
ответ дан 10.10.2019, 11:10

Попробуйте удалить весь пакет зависимостей из менеджера пакетов synaptic. И используйте «aptitude» для установки пакетов вместо apt-get.

И вот почему: aptitude-vs-apt-get

Полагаю, это проблема apt-get

0
ответ дан 10.10.2019, 11:10
  • 1
    Я can' t установка aptitude, ни synaptic, ни что-либо. Кроме того, Центр программного обеспечения Ubuntu won' t запускаются (внутренняя ошибка, добавленный снимок экрана). – James 17.09.2013, 10:23

Теги

Похожие вопросы